package com.miaxis.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 用户信息对象 user_info
 *
 * @author miaxis
 * @date 2020-12-25
 */
@Data
@TableName("user_info")
@ApiModel(value = "UserInfo", description = "用户信息对象 user_info")
public class UserInfo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "用户id")
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    @TableField("name")
    @ApiModelProperty(value = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    @TableField("sex")
    @ApiModelProperty(value = "性别")
    private Long sex;

    /** 身份证明号码 1：身份证号，2：警官证，3：军官证，4：护照等 */
    @Excel(name = "身份证明号码 1：身份证号，2：警官证，3：军官证，4：护照等")
    @TableField("sfzmlx")
    @ApiModelProperty(value = "身份证明号码 1：身份证号，2：警官证，3：军官证，4：护照等")
    private Long sfzmlx;

    /** 身份证明号码 */
    @Excel(name = "身份证明号码")
    @TableField(value ="id_card")
    @ApiModelProperty(value = "身份证明号码")
    private String idCard;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("crdate")
    @ApiModelProperty(value = "注册日期")
    private Date crdate;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("birthday")
    @ApiModelProperty(value = "出生日期")
    private Date birthday;

    /** 手机号码 */
    @Excel(name = "手机号码")
    @TableField("mobile")
    @ApiModelProperty(value = "手机号码")
    private String mobile;

    /** 登录密码 MD5加密 */
    @Excel(name = "登录密码 MD5加密")
    @TableField("password")
    @ApiModelProperty(value = "登录密码 MD5加密")
    private String password;

    /** 微信号码 */
    @Excel(name = "微信号码")
    @TableField("wechar")
    @ApiModelProperty(value = "微信号码")
    private String wechar;

    /** 微信openid */
    @Excel(name = "微信openid")
    @TableField("openid")
    @ApiModelProperty(value = "微信openid")
    private String openid;

    /** 驾校全国统一编号 */
    @Excel(name = "驾校全国统一编号")
    @TableField("inscode")
    @ApiModelProperty(value = "驾校全国统一编号")
    private String inscode;

    /** 驾校班型Id */
    @Excel(name = "驾校班型Id")
    @TableField(value ="school_class_type_id")
    @ApiModelProperty(value = "驾校班型Id")
    private Long schoolClassTypeId;

    /** 培训车型 */
    @Excel(name = "培训车型")
    @TableField("pxcx")
    @ApiModelProperty(value = "培训车型")
    private String pxcx;

    /** 教练全国统一编号 */
    @Excel(name = "教练全国统一编号")
    @TableField("coachnum")
    @ApiModelProperty(value = "教练全国统一编号")
    private String coachnum;

    /** 0 启用 1禁用 */
    @Excel(name = "0 启用 1禁用")
    @TableField("status")
    @ApiModelProperty(value = "0 启用 1禁用")
    private Integer status;


}
