package com.miaxis.app.coach.domain;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
/**
 * 教练评价照片对象 coach_evaluate_images
 *
 * @author miaxis
 * @date 2020-12-28
 */
@Data
@TableName("coach_evaluate_images")
@ApiModel(value = "CoachEvaluateImages", description = "教练评价照片对象 coach_evaluate_images")
public class CoachEvaluateImages extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 教练评价表ID */
    @Excel(name = "教练评价表ID")
    @TableField("coach_evaluate_id")
    @ApiModelProperty(value = "教练评价表ID")
    private Long coachEvaluateId;

    /** 文件路径 */
    @Excel(name = "文件路径")
    @TableField("image_path")
    @ApiModelProperty(value = "文件路径")
    private String imagePath;

    /** 照片url（访问地址） */
    @Excel(name = "照片url", readConverterExp = "访=问地址")
    @TableField("image_url")
    @ApiModelProperty(value = "照片url（访问地址）")
    private String imageUrl;


}
