package com.miaxis.app.coach.dto;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 教练评价对象 coach_evaluate
 *
 * @author wwl
 * @date 2020-12-28
 */
@Data
public class CoachEvaluateDto extends BaseBusinessEntity {

    @ApiModelProperty(value = "评价用户ID")
    private String userId;

    @ApiModelProperty(value = "教练员全国统一编号")
    private String coachnum;

    @ApiModelProperty(value = "态度星级")
    private Long attitudeStars;

    @ApiModelProperty(value = "场级星级")
    private Long areaStars;

    @ApiModelProperty(value = "总体星数：星星数1-5星")
    private Long totalStars;

    @ApiModelProperty(value = "评价内容")
    private String content;

    @ApiModelProperty(value = "标签表ID串")
    private String labelIds;

    @ApiModelProperty(value = "是否匿名：0 :公开  1匿名")
    private String isAnonymous;

    /**
     * [{"imagePath":"/test/1.png","imageUrl":"http://image.jppt.com.cn/test/1.png"},{"imagePath":"/test/2.png","imageUrl":"http://image.jppt.com.cn/test/2.png"}]
     */
    @ApiModelProperty(value = "图片json串")
    private String imagesJson;


}
