package com.miaxis.app.coach.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 教练对象 coach_info
 *
 * @author miaxis
 * @date 2021-01-07
 */
@Data
@ApiModel(value = "CoachInfoVO", description = "教练对象 coach_info")
public class CoachInfoVO extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 教练员全国统一编号 */
    @ApiModelProperty(value = "教练员全国统一编号")
    private String coachnum;

    /** 教练员性名 */
    @ApiModelProperty(value = "教练员性名")
    private String name;

    /** 性别 ：1男  2女 */
    @ApiModelProperty(value = "性别 ：1男  2女")
    private Long sex;

    /** 驾校全国统一编号 */
    @ApiModelProperty(value = "驾校全国统一编号")
    private String inscode;

    /** 身份证明号码 */
    @ApiModelProperty(value = "身份证明号码")
    private String idcard;

    /** 手机号码 */
    @ApiModelProperty(value = "手机号码")
    private String mobile;

    /** 地址 */
    @ApiModelProperty(value = "地址")
    private String address;

    /** 教练员头像ID */
    @ApiModelProperty(value = "教练员头像ID")
    private Long photo;

    /** 准驾车型 */
    @ApiModelProperty(value = "准驾车型")
    private String dripermitted;

    /** 准教车型 */
    @ApiModelProperty(value = "准教车型")
    private String teachpermitted;

    /** 地区编号 */
    @ApiModelProperty(value = "地区编号")
    private String district;

    /** 供职状态：0:在职 1离职*/
    @ApiModelProperty(value = "供职状态：0:在职 1离职")
    private Long employstatus;
    /** 停训 1-停训 0-启用 */
    @ApiModelProperty(value = "停训 1-停训 0-启用")
    private Long stopTrain;

    /** 微信号 */
    @ApiModelProperty(value = "微信号")
    private String wechar;

    /** 微信openid */
    @ApiModelProperty(value = "微信openid")
    private String openid;

    /** 点赞数 */
    @ApiModelProperty(value = "点赞数")
    private Long fabulous;

    /** 星级 */
    @ApiModelProperty(value = "总星级")
    private String totelStars;

    /** 距离 */
    @ApiModelProperty(value = "距离")
    private String distance;

    /** 头像照片 */
    @ApiModelProperty(value = "头像照片")
    private String fileUrl;



}
