package com.miaxis.app.news.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 新闻(首页资讯、通知、公告相关)对象 news_info
 *
 * @author miaxis
 * @date 2020-12-22
 */
@Data
@TableName("news_info")
@ApiModel(value = "NewsInfo", description = "新闻(首页资讯、通知、公告相关)对象 news_info")
public class NewsInfo extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @TableField("title")
    @ApiModelProperty(value = "标题")
    private String title;

    /** 作者 */
    @Excel(name = "作者")
    @TableField("author")
    @ApiModelProperty(value = "作者")
    private String author;

    /** 新闻来源 */
    @Excel(name = "新闻来源")
    @TableField("source")
    @ApiModelProperty(value = "新闻来源")
    private String source;

    /** 是否置顶 0 否 1 是 */
    @Excel(name = "是否置顶 0 否 1 是")
    @TableField("is_top")
    @ApiModelProperty(value = "是否置顶 0 否 1 是")
    private Integer isTop;

    /** 新闻内容 */
    @Excel(name = "新闻内容")
    @TableField("content")
    @ApiModelProperty(value = "新闻内容")
    private String content;

    /** 图片id，关联图片地址表  英文逗号隔开 */
    @Excel(name = "图片id，关联图片地址表  英文逗号隔开")
    @TableField("img")
    @ApiModelProperty(value = "图片id，关联图片地址表  英文逗号隔开")
    private String img;

    /** 类型/ 1、曝光台；2、行业资讯；3、免费回炉；4通知公告 */
    @Excel(name = "类型/ 1、曝光台；2、行业资讯；3、免费回炉；4通知公告")
    @TableField("type")
    @ApiModelProperty(value = "类型/ 1、曝光台；2、行业资讯；3、免费回炉；4通知公告")
    private Integer type;

    /** 阅读次数 */
    @Excel(name = "阅读次数")
    @TableField("read_Num")
    @ApiModelProperty(value = "阅读次数")
    private Long readNum;

    /** 逻辑删除标识（1：是；0：否） */
    @Excel(name = "逻辑删除标识", readConverterExp = "1=：是；0：否")
    @TableField("removed")
    @ApiModelProperty(value = "逻辑删除标识（1：是；0：否）")
    private Integer removed;


}
