package com.miaxis.app.school.domain;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
/**
 * 驾校评价对象 school_evaluate
 *
 * @author miaxis
 * @date 2020-12-28
 */
@Data
@TableName("school_evaluate")
@ApiModel(value = "SchoolEvaluate", description = "驾校评价对象 school_evaluate")
public class SchoolEvaluate extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId(value = "id")
    @ApiModelProperty(value = "ID")
    private Long id;

    /** 驾校ID */
    @Excel(name = "驾校ID")
    @TableField("inscode")
    @ApiModelProperty(value = "驾校ID")
    private String inscode;

    /** 评价内容 */
    @Excel(name = "评价内容")
    @TableField("content")
    @ApiModelProperty(value = "评价内容")
    private String content;

    /** 评价用户ID */
    @Excel(name = "评价用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "评价用户ID")
    private Long userId;

    /** 态度星级 */
    @Excel(name = "态度星级")
    @TableField("attitude_starts")
    @ApiModelProperty(value = "态度星级")
    private Long attitudeStarts;

    /** 场级星级 */
    @Excel(name = "场级星级")
    @TableField("area_starts")
    @ApiModelProperty(value = "场级星级")
    private Long areaStarts;

    /** 总体星数：星星数1-5星 */
    @Excel(name = "总体星数：星星数1-5星")
    @TableField("total_starts")
    @ApiModelProperty(value = "总体星数：星星数1-5星")
    private Long totalStarts;

    /** 是否匿名：0 :公开  1匿名 */
    @Excel(name = "是否匿名：0 :公开  1匿名")
    @TableField("is_anonymous")
    @ApiModelProperty(value = "是否匿名：0 :公开  1匿名")
    private Long isAnonymous;

    /** 驾校标签表ID串 */
    @Excel(name = "驾校标签表ID串")
    @TableField("school_label_ids")
    @ApiModelProperty(value = "驾校标签表ID串")
    private String schoolLabelIds;

    /** 状态   0：启用 1：禁用 */
    @Excel(name = "状态   0：启用 1：禁用")
    @TableField("status")
    @ApiModelProperty(value = "状态   0：启用 1：禁用")
    private Integer status;

}
