package com.miaxis.app.school.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.app.school.domain.SchoolRegion;
import com.miaxis.app.school.dto.SchoolRegionDTO;
import com.miaxis.app.school.dto.SchoolRegionVO;

/**
 * 驾校训练场Mapper接口
 *
 * @author zhangbin
 * @date 2020-12-28
 */
public interface SchoolRegionMapper extends BaseMapper<SchoolRegion> {
    /**
     * 查询驾校训练场
     *
     * @param id 驾校训练场ID
     * @return 驾校训练场
     */
    public SchoolRegion selectSchoolRegionById(Long id);

    /**
     * 查询驾校训练场列表
     *
     * @param schoolRegion 驾校训练场
     * @return 驾校训练场集合
     */
    public List<SchoolRegion> selectSchoolRegionList(SchoolRegion schoolRegion);

    /**
     * 新增驾校训练场
     *
     * @param schoolRegion 驾校训练场
     * @return 结果
     */
    public int insertSchoolRegion(SchoolRegion schoolRegion);

    /**
     * 修改驾校训练场
     *
     * @param schoolRegion 驾校训练场
     * @return 结果
     */
    public int updateSchoolRegion(SchoolRegion schoolRegion);

    /**
     * 删除驾校训练场
     *
     * @param id 驾校训练场ID
     * @return 结果
     */
    public int deleteSchoolRegionById(Long id);

    /**
     * 批量删除驾校训练场
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSchoolRegionByIds(Long[] ids);

    /**
     * 查询驾校训练场列表(图片距离)
     * @param schoolRegionDTO
     * @return
     */
    List<SchoolRegionVO> selectSchoolRegionUrlList(SchoolRegionDTO schoolRegionDTO);
}
